Page MenuHomePhabricator

[mwcli mwdd] Make use of php7.2, 7.3 and 7.4 image versions
Closed, ResolvedPublic

Description

From code review in https://gerrit.wikimedia.org/r/c/mediawiki/tools/cli/+/687302/3/cmd/mwdd_mediawiki.go#195

New images were introduced in T245444

We currently use docker-registry.wikimedia.org/dev/stretch-php72-fpm-apache2-xdebug:0.6.1-s1

These should be usable
A sensible default should be chosen
--ignore-platform-reqs for composer should be removed if possible

Event Timeline

Change 693562 had a related patch set uploaded (by Addshore; author: Addshore):

[mediawiki/tools/cli@master] mwdd: Use newer fpm & apache images for mediawiki

https://gerrit.wikimedia.org/r/693562

Change 693564 had a related patch set uploaded (by Addshore; author: Addshore):

[mediawiki/tools/cli@master] mwdd: Allow overriding images in use

https://gerrit.wikimedia.org/r/693564

Change 693562 merged by jenkins-bot:

[mediawiki/tools/cli@master] mwdd: Use newer fpm & apache images for mediawiki

https://gerrit.wikimedia.org/r/693562

Change 693564 merged by jenkins-bot:

[mediawiki/tools/cli@master] mwdd: Allow overriding images in use

https://gerrit.wikimedia.org/r/693564